using FCOMMON;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace FCM0000
{
    public partial class fSelectDate : fBase
    {
        private DateTime _dtSelect = DateTime.Now;
        public DateTime dtSelect
        {
            get
            {
                return _dtSelect;
            }
            set
            {
                _dtSelect = value;
            }
        }
        
        public fSelectDate(string dtstr) : this(DateTime.Parse(dtstr)) { }
        public fSelectDate(DateTime dt)
        {
            InitializeComponent();
            Properties.Settings.Default["gwcs"] = FCOMMON.info.CS;
            this.monthCalendar1.SetDate(dt);
        }

        private void fSelectDate_Load(object sender, EventArgs e)
        {
            EnsureVisibleAndUsableSize();
        }
      
        private void btOK_Click(object sender, EventArgs e)
        {
            dtSelect = this.monthCalendar1.SelectionStart;
            DialogResult = System.Windows.Forms.DialogResult.OK;
        }
    }
}
